# Generated from unicorn-4.8.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name unicorn

Name: rubygem-%{gem_name}
Version: 4.8.3
Release: 2.2%{?dist}
Summary: Rack HTTP server for fast clients and Unix
Group: Development/Languages
License: GPLv2+ and Ruby 1.8
URL: http://unicorn.bogomips.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
%if 0%{fedora} < 21
Requires: ruby(release)
Requires: ruby(rubygems) 
Requires: rubygem(rack) 
Requires: rubygem(kgio) => 2.6
Requires: rubygem(kgio) < 3
Requires: rubygem(raindrops) => 0.7
Requires: rubygem(raindrops) < 1
%endif
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby-devel 
# BuildRequires: rubygem(isolate) => 3.2
# BuildRequires: rubygem(isolate) < 4
# BuildRequires: rubygem(wrongdoc) => 1.8
# BuildRequires: rubygem(wrongdoc) < 2
%if 0%{fedora} < 21
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
\Unicorn is an HTTP server for Rack applications designed to only serve
fast clients on low-latency, high-bandwidth connections and take
advantage of features in Unix/Unix-like kernels.  Slow clients should
only be served by placing a reverse proxy capable of fully buffering
both the the request and response in between \Unicorn and slow clients.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%if 0%{fedora} < 21
mkdir -p %{buildroot}%{gem_extdir_mri}/lib
mv %{buildroot}%{gem_instdir}/lib/unicorn_http.so %{buildroot}%{gem_extdir_mri}/lib/
%else
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/
%endif

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}%{gem_instdir}/man/man1/* \
        %{buildroot}%{_mandir}/man1/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

rm -rf %{buildroot}%{gem_instdir}/{.CHANGELOG.old,.document,.gitignore,.mailmap,.manifest,.wrongdoc.yml,archive,local.mk.sample}

# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%{_bindir}/unicorn
%{_bindir}/unicorn_rails
%{_mandir}/man1/*
%{gem_instdir}/bin
%{gem_libdir}
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/FAQ
%doc %{gem_instdir}/README
%doc %{gem_instdir}/TUNING
%doc %{gem_instdir}/PHILOSOPHY
%doc %{gem_instdir}/HACKING
%doc %{gem_instdir}/DESIGN
%doc %{gem_instdir}/CONTRIBUTORS
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/SIGNALS
%doc %{gem_instdir}/KNOWN_ISSUES
%doc %{gem_instdir}/TODO
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/LATEST
%doc %{gem_instdir}/ISSUES
%doc %{gem_instdir}/Sandbox
%doc %{gem_instdir}/Links
%doc %{gem_instdir}/Application_Timeouts
%doc %{gem_instdir}/Documentation
%doc %{gem_instdir}/GIT-VERSION-FILE
%doc %{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%{gem_instdir}/Rakefile
%{gem_instdir}/setup.rb
%{gem_instdir}/examples
%{gem_instdir}/script
%{gem_instdir}/test
%{gem_instdir}/t
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Sun Dec 28 2014 Oleg Girko <ol@infoserver.lv> - 4.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1
* Sun May 18 2014 Oleg Girko <ol@infoserver.lv> - 4.8.3-1
- Initial package
